Subject: Re: [SIP] Use of Branch parameter within Via headers

From: Jiri Kuthan <[email-masked]>
Date: Mon, 14 Jan 2002 22:28:15 +0100

Actually, the plan is to have branch included by every UAc --
see the open issue #144.

-Jiri

At 06:06 PM 1/14/2002, Robert Osborne wrote:

>Hi,
>
> 
>
>Within RFC 2543 section 6.40.5, is the following paragraph:
>
> 
>
>   The "branch" parameter is included by every forking proxy.  The token
>
>   MUST be unique for each distinct request generated when a proxy
>
>   forks. CANCEL requests MUST have the same branch value as the
>
>   corresponding forked request. When a response arrives at the proxy it
>
>   can use the branch value to figure out which branch the response
>
>   corresponds to. A proxy which generates a single request (non-
>
>   forking) MAY also insert the "branch" parameter. The identifier has
>
>   to be unique only within a set of isomorphic requests.
>
> 
>
>From this text, all forking proxies should include the branch  parameter. 
>
>However I was wondering, even though it is a MAY  for non forking proxies 
>
>to insert this parameter, is there any that do?
>
> 
>
>Rob O
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip